summaryrefslogtreecommitdiff
path: root/SCAN-RSS
diff options
context:
space:
mode:
Diffstat (limited to 'SCAN-RSS')
-rwxr-xr-xSCAN-RSS/baselines/cpu/run-opti.sh4
-rwxr-xr-xSCAN-RSS/baselines/cpu/run.sh8
-rwxr-xr-xSCAN-RSS/run-paper-strong-full.sh4
-rwxr-xr-xSCAN-RSS/run-paper-strong-rank.sh4
4 files changed, 14 insertions, 6 deletions
diff --git a/SCAN-RSS/baselines/cpu/run-opti.sh b/SCAN-RSS/baselines/cpu/run-opti.sh
index c9f6ce4..30b0afc 100755
--- a/SCAN-RSS/baselines/cpu/run-opti.sh
+++ b/SCAN-RSS/baselines/cpu/run-opti.sh
@@ -6,4 +6,8 @@ echo $HOST
make -B TYPE=UINT64 verbose=1
+# 1258291200 : README
+# 251658240 : nmc strong-full
+# 3932160 * nr_threads: nmc weak
+
timeout --foreground -k 1m 30m ./scan -i 1258291200 -t 4 -w 0 -e 100 | sed 's/CPU/CPU Baseline/' | tee "${HOST}-baseline.txt"
diff --git a/SCAN-RSS/baselines/cpu/run.sh b/SCAN-RSS/baselines/cpu/run.sh
index 10c13ac..c6314d2 100755
--- a/SCAN-RSS/baselines/cpu/run.sh
+++ b/SCAN-RSS/baselines/cpu/run.sh
@@ -14,11 +14,15 @@ echo "Revision $(git describe --always)"
for nr_threads in 88 64 44 1 2 4 6 8 12 16 20 24 32; do
#for i in 2048 4096 8192 16384 65536 262144 1048576 3932160 15728640 31457280 262144000 1258291200 2516582400; do
- for i in 1258291200; do
+ # 1258291200 : README
+ # 251658240 : nmc strong-full
+ # 3932160 * nr_threads: nmc weak
+ for i in 1258291200 251658240; do
#for dt in UINT32 UINT64 INT32 INT64 FLOAT DOUBLE; do
for dt in UINT64; do
if make -B TYPE=${dt} verbose=1; then
- timeout --foreground -k 1m 30m ./scan -i ${i} -w 0 -e 100 -t ${nr_threads} || true
+ timeout --foreground -k 1m 45m ./scan -i ${i} -w 0 -e 100 -t ${nr_threads} || true
+ sleep 10
fi
done
done
diff --git a/SCAN-RSS/run-paper-strong-full.sh b/SCAN-RSS/run-paper-strong-full.sh
index 755f0b2..a00e96d 100755
--- a/SCAN-RSS/run-paper-strong-full.sh
+++ b/SCAN-RSS/run-paper-strong-full.sh
@@ -8,8 +8,8 @@ echo "prim-benchmarks SCAN-RSS strong-full (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-# 2544 is not part of upstream
-for nr_dpus in 2544 256 512 1024 2048; do
+# >2048 is not part of upstream
+for nr_dpus in 2543 2304 256 512 1024 2048; do
for nr_tasklets in 1 2 4 8 16; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 verbose=1; then
diff --git a/SCAN-RSS/run-paper-strong-rank.sh b/SCAN-RSS/run-paper-strong-rank.sh
index 669a706..3391a1b 100755
--- a/SCAN-RSS/run-paper-strong-rank.sh
+++ b/SCAN-RSS/run-paper-strong-rank.sh
@@ -8,8 +8,8 @@ echo "prim-benchmarks SCAN-RSS strong-rank (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-# 256 and 512 are not part of upstream config space
-for nr_dpus in 512 256 1 4 16 64; do
+# >64 are not part of upstream config space
+for nr_dpus in 128 1 4 16 64; do
for nr_tasklets in 1 2 4 8 16; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 verbose=1; then